Package csb :: Package bio :: Package sequence :: Module alignment :: Class AlignmentResult

[frames] | no frames]

# Class AlignmentResult

source code

    object --+
             |
            AlignmentResult

Represents a pairwise sequence alignment result.

Instance Methods

__init__(self, score, query, subject, qstart, qend, start, end) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__str__(self) str(x) | source code

SequenceAlignment

alignment(self) Returns: as a sequence alignment object | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
int | end Subject end position
int | gaps Total number of gaps (query + subject)
int | identicals Number of identical residues
int | identity Percentage of identical residues
bool | is_empty Return True if this is an empty alignment (i.e.
int | length Alignment length (query + subject + gaps / 2)
int | qend Query end position
int | qstart Query start position
AbstractSequence | query Aligned query sequence (with gaps)
float | score Raw alignment score
int | start Subject start position
AbstractSequence | subject Aligned subject sequence (with gaps)
Inherited from `object`: `__class__`

Method Details

### __init__(self, score, query, subject, qstart, qend, start, end)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `score` (float) - raw alignment score
  - `query` (AbstractSequence) - aligned query sequence (with gaps)
  - `subject` (AbstractSequence) - aligned subject sequence (with gaps)
  - `qstart` (int) - query start position
  - `qend` (int) - query end position
  - `start` (int) - subject start position
  - `end` (int) - subject end position
Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

### alignment(self)

source code

Returns: SequenceAlignment
  as a sequence alignment object

Property Details

### end

Subject end position

Get Method:
  unreachable.end(self) - Subject end position
Type:
  int

### gaps

Total number of gaps (query + subject)

Get Method:
  unreachable.gaps(self) - Total number of gaps (query + subject)
Type:
  int

### identicals

Number of identical residues

Get Method:
  unreachable.identicals(self) - Number of identical residues
Type:
  int

### identity

Percentage of identical residues

Get Method:
  unreachable.identity(self) - Percentage of identical residues
Type:
  int

### is_empty

Return True if this is an empty alignment (i.e. no matches)

Get Method:
  unreachable.is_empty(self) - Return True if this is an empty alignment (i.e.
Type:
  bool

### length

Alignment length (query + subject + gaps / 2)

Get Method:
  unreachable.length(self) - Alignment length (query + subject + gaps / 2)
Type:
  int

### qend

Query end position

Get Method:
  unreachable.qend(self) - Query end position
Type:
  int

### qstart

Query start position

Get Method:
  unreachable.qstart(self) - Query start position
Type:
  int

### query

Aligned query sequence (with gaps)

Get Method:
  unreachable.query(self) - Aligned query sequence (with gaps)
Type:
  AbstractSequence

### score

Raw alignment score

Get Method:
  unreachable.score(self) - Raw alignment score
Type:
  float

### start

Subject start position

Get Method:
  unreachable.start(self) - Subject start position
Type:
  int

### subject

Aligned subject sequence (with gaps)

Get Method:
  unreachable.subject(self) - Aligned subject sequence (with gaps)
Type:
  AbstractSequence